import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type AddFirstCreatorConstraintToEscrowConstraintModelInstructionAccounts = {
    constraintModel: PublicKey;
    payer?: Signer;
    updateAuthority: Signer;
    firstCreator: PublicKey;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
};
export type AddFirstCreatorConstraintToEscrowConstraintModelInstructionData = {
    discriminator: number;
    constraintName: string;
    tokenLimit: bigint;
    transferEffects: number;
};
export type AddFirstCreatorConstraintToEscrowConstraintModelInstructionDataArgs = {
    constraintName: string;
    tokenLimit: number | bigint;
    transferEffects: number;
};
export declare function getAddFirstCreatorConstraintToEscrowConstraintModelInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<AddFirstCreatorConstraintToEscrowConstraintModelInstructionDataArgs, AddFirstCreatorConstraintToEscrowConstraintModelInstructionData>;
export declare function addFirstCreatorConstraintToEscrowConstraintModel(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: AddFirstCreatorConstraintToEscrowConstraintModelInstructionAccounts & AddFirstCreatorConstraintToEscrowConstraintModelInstructionDataArgs): TransactionBuilder;
