import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type AddTokensConstraintToEscrowConstraintModelInstructionAccounts = {
    constraintModel: PublicKey;
    payer?: Signer;
    updateAuthority: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
};
export type AddTokensConstraintToEscrowConstraintModelInstructionData = {
    discriminator: number;
    constraintName: string;
    tokens: Array<PublicKey>;
    tokenLimit: bigint;
    transferEffects: number;
};
export type AddTokensConstraintToEscrowConstraintModelInstructionDataArgs = {
    constraintName: string;
    tokens: Array<PublicKey>;
    tokenLimit: number | bigint;
    transferEffects: number;
};
export declare function getAddTokensConstraintToEscrowConstraintModelInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<AddTokensConstraintToEscrowConstraintModelInstructionDataArgs, AddTokensConstraintToEscrowConstraintModelInstructionData>;
export declare function addTokensConstraintToEscrowConstraintModel(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: AddTokensConstraintToEscrowConstraintModelInstructionAccounts & AddTokensConstraintToEscrowConstraintModelInstructionDataArgs): TransactionBuilder;
