import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type RemoveConstraintFromEscrowConstraintModelInstructionAccounts = {
    constraintModel: PublicKey;
    payer?: Signer;
    updateAuthority: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
};
export type RemoveConstraintFromEscrowConstraintModelInstructionData = {
    discriminator: number;
    constraintName: string;
};
export type RemoveConstraintFromEscrowConstraintModelInstructionDataArgs = {
    constraintName: string;
};
export declare function getRemoveConstraintFromEscrowConstraintModelInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<RemoveConstraintFromEscrowConstraintModelInstructionDataArgs, RemoveConstraintFromEscrowConstraintModelInstructionData>;
export declare function removeConstraintFromEscrowConstraintModel(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: RemoveConstraintFromEscrowConstraintModelInstructionAccounts & RemoveConstraintFromEscrowConstraintModelInstructionDataArgs): TransactionBuilder;
