import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type WithdrawRoyaltiesInstructionAccounts = {
    constraintModel: PublicKey;
    payer?: Signer;
    updateAuthority: Signer;
    destination: PublicKey;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
};
export type WithdrawRoyaltiesInstructionData = {
    discriminator: number;
    name: string;
};
export type WithdrawRoyaltiesInstructionDataArgs = {
    name: string;
};
export declare function getWithdrawRoyaltiesInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<WithdrawRoyaltiesInstructionDataArgs, WithdrawRoyaltiesInstructionData>;
export declare function withdrawRoyalties(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: WithdrawRoyaltiesInstructionAccounts & WithdrawRoyaltiesInstructionDataArgs): TransactionBuilder;
