"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getKeySerializer = exports.Key = void 0;
var Key;
(function (Key) {
    Key[Key["Uninitialized"] = 0] = "Uninitialized";
    Key[Key["EscrowConstraintModel"] = 1] = "EscrowConstraintModel";
    Key[Key["Trifle"] = 2] = "Trifle";
})(Key = exports.Key || (exports.Key = {}));
function getKeySerializer(context) {
    const s = context.serializer;
    return s.enum(Key, { description: 'Key' });
}
exports.getKeySerializer = getKeySerializer;
//# sourceMappingURL=key.js.map