import { Context, Serializer } from '@metaplex-foundation/umi';
export declare enum RoyaltyInstruction {
    CreateModel = 0,
    CreateTrifle = 1,
    TransferIn = 2,
    TransferOut = 3,
    AddConstraint = 4,
    RemoveConstraint = 5
}
export type RoyaltyInstructionArgs = RoyaltyInstruction;
export declare function getRoyaltyInstructionSerializer(context: Pick<Context, 'serializer'>): Serializer<RoyaltyInstructionArgs, RoyaltyInstruction>;
