import { Context, PublicKey, Serializer } from '@metaplex-foundation/umi';
export type TokenAmount = {
    mint: PublicKey;
    amount: bigint;
};
export type TokenAmountArgs = {
    mint: PublicKey;
    amount: number | bigint;
};
export declare function getTokenAmountSerializer(context: Pick<Context, 'serializer'>): Serializer<TokenAmountArgs, TokenAmount>;
