"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTokenAmountSerializer = void 0;
function getTokenAmountSerializer(context) {
    const s = context.serializer;
    return s.struct([
        ['mint', s.publicKey()],
        ['amount', s.u64()],
    ], { description: 'TokenAmount' });
}
exports.getTokenAmountSerializer = getTokenAmountSerializer;
//# sourceMappingURL=tokenAmount.js.map