import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type AddCollectionConstraintToEscrowConstraintModelInstructionAccounts = {
    constraintModel: PublicKey;
    payer?: Signer;
    updateAuthority: Signer;
    collectionMint: PublicKey;
    collectionMintMetadata: PublicKey;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
};
export type AddCollectionConstraintToEscrowConstraintModelInstructionData = {
    discriminator: number;
    constraintName: string;
    tokenLimit: bigint;
    transferEffects: number;
};
export type AddCollectionConstraintToEscrowConstraintModelInstructionDataArgs = {
    constraintName: string;
    tokenLimit: number | bigint;
    transferEffects: number;
};
export declare function getAddCollectionConstraintToEscrowConstraintModelInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<AddCollectionConstraintToEscrowConstraintModelInstructionDataArgs, AddCollectionConstraintToEscrowConstraintModelInstructionData>;
export declare function addCollectionConstraintToEscrowConstraintModel(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: AddCollectionConstraintToEscrowConstraintModelInstructionAccounts & AddCollectionConstraintToEscrowConstraintModelInstructionDataArgs): TransactionBuilder;
