import { Context, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type AddNoneConstraintToEscrowConstraintModelInstructionAccounts = {
    constraintModel: PublicKey;
    payer?: Signer;
    updateAuthority: Signer;
    systemProgram?: PublicKey;
    sysvarInstructions?: PublicKey;
};
export type AddNoneConstraintToEscrowConstraintModelInstructionData = {
    discriminator: number;
    constraintName: string;
    tokenLimit: bigint;
    transferEffects: number;
};
export type AddNoneConstraintToEscrowConstraintModelInstructionDataArgs = {
    constraintName: string;
    tokenLimit: number | bigint;
    transferEffects: number;
};
export declare function getAddNoneConstraintToEscrowConstraintModelInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<AddNoneConstraintToEscrowConstraintModelInstructionDataArgs, AddNoneConstraintToEscrowConstraintModelInstructionData>;
export declare function addNoneConstraintToEscrowConstraintModel(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: AddNoneConstraintToEscrowConstraintModelInstructionAccounts & AddNoneConstraintToEscrowConstraintModelInstructionDataArgs): TransactionBuilder;
