import { Context, Option, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
export type CreateEscrowConstraintModelAccountInstructionAccounts = {
    escrowConstraintModel: PublicKey;
    payer?: Signer;
    updateAuthority: PublicKey;
    systemProgram?: PublicKey;
};
export type CreateEscrowConstraintModelAccountInstructionData = {
    discriminator: number;
    name: string;
    schemaUri: Option<string>;
};
export type CreateEscrowConstraintModelAccountInstructionDataArgs = {
    name: string;
    schemaUri: Option<string>;
};
export declare function getCreateEscrowConstraintModelAccountInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<CreateEscrowConstraintModelAccountInstructionDataArgs, CreateEscrowConstraintModelAccountInstructionData>;
export declare function createEscrowConstraintModelAccount(context: Pick<Context, 'serializer' | 'programs' | 'payer'>, input: CreateEscrowConstraintModelAccountInstructionAccounts & CreateEscrowConstraintModelAccountInstructionDataArgs): TransactionBuilder;
