import { Context, Serializer } from '@metaplex-foundation/umi';
import { EscrowConstraintType, EscrowConstraintTypeArgs } from '.';
export type EscrowConstraint = {
    tokenLimit: bigint;
    constraintType: EscrowConstraintType;
    transferEffects: number;
};
export type EscrowConstraintArgs = {
    tokenLimit: number | bigint;
    constraintType: EscrowConstraintTypeArgs;
    transferEffects: number;
};
export declare function getEscrowConstraintSerializer(context: Pick<Context, 'serializer'>): Serializer<EscrowConstraintArgs, EscrowConstraint>;
