"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEscrowConstraintSerializer = void 0;
const _1 = require(".");
function getEscrowConstraintSerializer(context) {
    const s = context.serializer;
    return s.struct([
        ['tokenLimit', s.u64()],
        ['constraintType', (0, _1.getEscrowConstraintTypeSerializer)(context)],
        ['transferEffects', s.u16()],
    ], { description: 'EscrowConstraint' });
}
exports.getEscrowConstraintSerializer = getEscrowConstraintSerializer;
//# sourceMappingURL=escrowConstraint.js.map