"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRoyaltyInstructionSerializer = exports.RoyaltyInstruction = void 0;
var RoyaltyInstruction;
(function (RoyaltyInstruction) {
    RoyaltyInstruction[RoyaltyInstruction["CreateModel"] = 0] = "CreateModel";
    RoyaltyInstruction[RoyaltyInstruction["CreateTrifle"] = 1] = "CreateTrifle";
    RoyaltyInstruction[RoyaltyInstruction["TransferIn"] = 2] = "TransferIn";
    RoyaltyInstruction[RoyaltyInstruction["TransferOut"] = 3] = "TransferOut";
    RoyaltyInstruction[RoyaltyInstruction["AddConstraint"] = 4] = "AddConstraint";
    RoyaltyInstruction[RoyaltyInstruction["RemoveConstraint"] = 5] = "RemoveConstraint";
})(RoyaltyInstruction = exports.RoyaltyInstruction || (exports.RoyaltyInstruction = {}));
function getRoyaltyInstructionSerializer(context) {
    const s = context.serializer;
    return s.enum(RoyaltyInstruction, {
        description: 'RoyaltyInstruction',
    });
}
exports.getRoyaltyInstructionSerializer = getRoyaltyInstructionSerializer;
//# sourceMappingURL=royaltyInstruction.js.map